Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8264 - authentificatiion problem from sparc to i386
Summary: authentificatiion problem from sparc to i386
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-07 12:43 UTC by Ivan Teliatnikov
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 18:29:23 UTC


Attachments (Terms of Use)

Description Ivan Teliatnikov 2000-01-07 12:43:45 UTC
Sorry I do not know whom to sent this, may be you can re-dirent to the ight
person.

I distributed rdist passwd + shadow file from my server running 6.1 i386 to
Sparc 10 running 6.0. I have checked all files are identical, but could not
login into Sparc with 6.0.

I had to set root passwd to nothing and rdist to sparc to log in and then
"passwd user"  for each user on sparc.

DO 6.0 AND 6.1 USE DIFFRENT ENCREPTION ALGORITHMS?

OR IS THIS A BUG???

Regards, Ivan.

Comment 1 Bernhard Rosenkraenzer 2000-01-09 16:59:59 UTC
By any chance, are you using "normal" passwords on one box, and MD5 hashes on
the other?

Comment 2 Bill Nottingham 2000-02-05 18:29:59 UTC
The problem was most likely that MD5 had endian-ness issues;
this was fixed in 6.1.


Note You need to log in before you can comment on or make changes to this bug.